## org.springframework.jmx.export.naming
Interface SelfNaming

    public interface SelfNaming

Interface that allows infrastructure components to provide their own `ObjectName`s to the `MBeanExporter`.

Note: This interface is mainly intended for internal usage.

Since:
  1.2.2
Author:
  Rob Harrop
See Also:
  `MBeanExporter`

Method Summary
`ObjectName` `getObjectName()` Return the `ObjectName` for the implementing object.

Method Detail

### getObjectName

    ObjectName getObjectName()
                             throws MalformedObjectNameException

  Return the `ObjectName` for the implementing object.

  Throws:
    `MalformedObjectNameException` - if thrown by the ObjectName constructor
  See Also:
    `ObjectName.ObjectName(String)`, `ObjectName.getInstance(String)`, `ObjectNameManager.getInstance(String)`